Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface TEL

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, URL1

All Known Implementing Classes:
  TELImpl

    public interface TEL

extends URL1

A representation of the model object 'TEL'. A telephone number (voice or fax), e-mail address, or other locator for a resource (information or service) mediated by telecommunication equipment. The address is specified as a Universal Resource Locator (URL) qualified by time specification and use codes that help in deciding which address to use for a given time and purpose.

The following features are supported:

- `Useable Period`
- `Use`

See Also:
  `CDAR2Package.getTEL()`

Method Summary
`java.util.List` | `getUse()` Returns the value of the 'Use' attribute.
`org.eclipse.emf.common.util.EList` | `getUseablePeriod()` Returns the value of the 'Useable Period' containment reference list.
`void` | `setUse(java.util.List value)` Sets the value of the '`Use`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.URL1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUseablePeriod

    org.eclipse.emf.common.util.EList getUseablePeriod()

  Returns the value of the 'Useable Period' containment reference list. The list contents are of type `SXCMTS`. Specifies the periods of time during which the telecommunication address can be used. For a telephone number, this can indicate the time of day in which the party can be reached on that telephone. For a web address, it may specify a time range in which the web content is promised to be available under the given address.

  Returns:
    the value of the 'Useable Period' containment reference list.
  See Also:
    `CDAR2Package.getTEL_UseablePeriod()`

### getUse

    java.util.List getUse()

  Returns the value of the 'Use' attribute. One or more codes advising a system or user which telecommunication address in a set of like addresses to select for a given telecommunication need.

  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(List)`, `CDAR2Package.getTEL_Use()`

### setUse

    void setUse(java.util.List value)

  Sets the value of the '`Use`' attribute.

  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD